#
# obs-fit.R, 11 May 12

library("mgcv")

loc_acc=read.csv("/usr1/rbook/examples/src_measure/local-use/acc-per-obj.csv")

around_100=subset(loc_acc, (total.access >= 95) & (total.access <= 105))

gamm_mod=gamm(occurrences ~ s(object.access),
		 random=list(total.access=~1),
		 data=around_100)

plot(gamm_mod$gam, xlim=c(1, 20))

A1=3
A2=1
lrc1=-0.1
lrc1=-0.1

nlme_mod=nlme(occurrences ~ a1*exp(b1*object.access),
		 fixed=object.access~1,
		 random=total.access~1,
		 data=around_100,
		 start=list(a1=10, b1=-0.1),
		 verbose=TRUE)


